<template>
    <div>
        <el-input
            type="text"
            placeholder="請輸入關鍵字"
            class="mb-30 pam-clientReserved-input"
        >
            <i slot="suffix" class="icon-search search cursor--pointer"></i>
        </el-input>

        <ClientList
            :clients="pageList"
            :title="'reservedList'"
        ></ClientList>

        <UiPagination
            :totalList="reservedList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator';
import { Clients } from '../clientReservedList.vue';

@Component
export default class ClientReservedList extends Vue {
    @Prop() reservedList!: Clients[];
    pageList: Clients[] = [];

    changePage(pageList: Clients[]) {
        this.pageList = pageList;
    }
}
</script>